---
title: '<xsl:text>'
slug: Web/XSLT/Element/text
tags:
  - Element
  - Reference
  - Text
  - XSLT
---
<p>{{ XsltRef() }}</p>

<p>The <code>&lt;xsl:text&gt;</code> element writes literal text to the output tree. It may contain <code>#PCDATA</code>, literal text, and entity references.</p>

<h3 id="Syntax">Syntax</h3>

<pre>&lt;xsl:text disable-output-escaping="yes" | "no"&gt;
	TEXT
&lt;/xsl:text&gt; </pre>

<h3 id="Required_Attributes">Required Attributes</h3>

<p>None.</p>

<h3 id="Optional_Attributes">Optional Attributes</h3>

<dl>
 <dt><code>disable-output-escaping</code> (Netscape does not serialize the result of transformation - the "output" below - so this attribute is essentially irrelevant in context. To output html-entities, use numerical values instead, eg <code>&amp;#160;</code> for <code>&amp;nbsp;</code>)</dt>
 <dd>Specifies whether special characters are escaped when written to the output. The available values are "<code>yes</code>" or "<code>no</code>". If "<code>yes</code>" is set, for example, the character <code>&gt;</code> is output as <code>&gt;</code>, not as <code>&amp;gt;</code>.</dd>
</dl>

<h3 id="Type">Type</h3>

<p>Instruction, appears within a template.</p>

<h3 id="Defined">Defined</h3>

<p>XSLT, section 7.2</p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported as noted.</p>
